com.holonplatform.async.datastore.transaction

## Interface AsyncTransaction

- All Superinterfaces:
    TransactionStatus

      public interface AsyncTransaction
      extends TransactionStatus

  Represents an asynchronous Datastore transaction, providing methods to commit and rollback the transaction.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.transaction.TransactionStatus

      `TransactionStatus.IllegalTransactionStatusException, TransactionStatus.TransactionException, TransactionStatus.TransactionNotSupportedException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompletionStage<Boolean>` | `commit()` Commit the transaction.
    `CompletionStage<Void>` | `rollback()` Rollback the transaction.

    - ### Methods inherited from interface com.holonplatform.core.datastore.transaction.TransactionStatus

      `isActive, isCompleted, isNew, isRollbackOnly, setRollbackOnly`

- - ### Method Detail

    - #### commit

          CompletionStage<Boolean> commit()

      Commit the transaction.

      If the transaction has been marked as rollback-only, a rollback action is performed.

      Returns:
        A `CompletionStage` which can be used to handle the asynchronous operation outcome. The stage result will be `true` if the transaction was actually committed, or `false` if it was rolled back because the the transaction has been marked as rollback-only
      Throws:
        `IllegalTransactionStatusException` - If the transaction is already completed (that is, committed or rolled back)
        `TransactionException` - If an error occurred during transaction commit

    - #### rollback

          CompletionStage<Void> rollback()

      Rollback the transaction.
      Returns:
        A `CompletionStage` which can be used to handle the asynchronous operation outcome. No stage result value is expected.
      Throws:
        `IllegalTransactionStatusException` - If the transaction is already completed (that is, committed or rolled back)
        `TransactionException` - If an error occurred during transaction rollback

Copyright © 2019 The Holon Platform. All rights reserved.